# Ogre::FileInfo Struct Reference

Information about a file/directory within the archive will be returned using a FileInfo struct. More...

`#include <OgreArchive.h>`

List of all members.

## Public Attributes

Archive * | archive
| The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through ResourceGroupManager).
String | filename
| The file's fully qualified name.
String | path
| Path name; separated by '/' and ending with '/'.
String | basename
| Base filename.
size_t | compressedSize
| Compressed size.
size_t | uncompressedSize
| Uncompressed size.

## Detailed Description

Information about a file/directory within the archive will be returned using a FileInfo struct.

See also:
  Archive

Definition at line 46 of file OgreArchive.h.

## Member Data Documentation

Archive* Ogre::FileInfo::archive

The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through ResourceGroupManager).

Definition at line 49 of file OgreArchive.h.

String Ogre::FileInfo::filename

The file's fully qualified name.

Definition at line 51 of file OgreArchive.h.

String Ogre::FileInfo::path

Path name; separated by '/' and ending with '/'.

Definition at line 53 of file OgreArchive.h.

String Ogre::FileInfo::basename

Base filename.

Definition at line 55 of file OgreArchive.h.

size_t Ogre::FileInfo::compressedSize

Compressed size.

Definition at line 57 of file OgreArchive.h.

size_t Ogre::FileInfo::uncompressedSize

Uncompressed size.

Definition at line 59 of file OgreArchive.h.

The documentation for this struct was generated from the following file:

- OgreArchive.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:34 2009